Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003555TestLinkCustom fieldspublic2010-06-29 09:592010-08-31 20:28
Reporteramitkhullar 
Assigned Toamitkhullar 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 4 
Fixed in Version1.9 Beta 6 
Summary0003555: Custom Fields Order on Test Project Assignment page
DescriptionThe Custom Fields on the Test Project Assignment page should be ordered first on the basis of page where it is going to be displayed ( Test Spec Design , Test Execution) and then the display order as set by the user and then the name. This makes it more usable while defining the sorting of display order at each page otherwise initially all the fields are jumbled up. Now we will at-least know the section where it is to be displayed (though this part is also missing from the display) will add another issue for that.
Additional InformationJust need to modify the Order by clause to as below Line 960 @ cfield_mgr_class.php

    $sql .= " ORDER BY CF.enable_on_design desc, " .
            "CF.enable_on_execution desc, " .
                "CF.enable_on_testplan_design desc,".
                "CFTP.display_order, CF.name";
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0010448)
fman (administrator)
2010-06-29 17:16

do not find this useful
(0010457)
amitkhullar (reporter)
2010-06-30 03:59

or the other idea would be to display the custom field Enabled on screen value for clarity.
(0011117)
fman (administrator)
2010-08-31 20:28

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2010-06-29 09:59 amitkhullar New Issue
2010-06-29 17:16 fman Note Added: 0010448
2010-06-30 03:59 amitkhullar Note Added: 0010457
2010-07-26 04:48 amitkhullar Status new => resolved
2010-07-26 04:48 amitkhullar Fixed in Version => 1.9 Beta 6
2010-07-26 04:48 amitkhullar Resolution open => fixed
2010-07-26 04:48 amitkhullar Assigned To => amitkhullar
2010-08-31 20:28 fman Note Added: 0011117
2010-08-31 20:28 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker